DELETE
https://jmpy.me/api/v1
/
campaigns
/
{id}
Delete Campaign
curl --request DELETE \
  --url https://jmpy.me/api/v1/campaigns/{id} \
  --header 'Authorization: Bearer <token>'
Delete a campaign. URLs associated with the campaign will be unlinked but not deleted.

Path Parameters

id
string
required
The unique identifier (UUID) of the campaign OR the campaign name.Note on Names: If using a campaign name with spaces (e.g., “Summer Sale”), it must be URL-encoded in the path (e.g., Summer%20Sale).Example: 110e8400-e29b-41d4-a716-446655440000 or Summer%20Sale%202024

Request Examples

# Delete by ID
curl -X DELETE "https://jmpy.me/api/v1/campaigns/110e8400-e29b-41d4-a716-446655440000" \
  -H "Authorization: Bearer YOUR_API_KEY"

# Delete by Name (URL Encoded)
curl -X DELETE "https://jmpy.me/api/v1/campaigns/Summer%20Sale%202024" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response Examples

{
  "success": true,
  "data": {
    "message": "Campaign deleted successfully"
  }
}